Subject: Re: bug#51883: 29.0.50; Command to get accidentally deleted frames back

From: Michael Heerdegen <[email-masked]>
Date: Sun, 28 Nov 2021 16:47:35 +0100

Gregory Heytings <[email-masked]> writes:

> Updated patch attached.

Thanks.  Hmm - one kind of raw prefix arg you don't handle yet is `-`
which is synonymous for -1.  M-- C-x 5 u gives the not so nice error
message:

  Wrong type argument: number-or-marker-p, -

Oh, and, I think all explicit `error' calls in your patch could be made
`user-error's instead, WDYT?

> (A note for Michael: I know about the ring.el library, but it would
> have been necessary to require it in frame.el, which is not necessary,
> given that it's easy to get the same effect with standard functions.)

Ok, fine with me.

Regards,

Michael.